aboutsummaryrefslogtreecommitdiffstats
path: root/repo/features/danube/make_opencon-trail.sh
diff options
context:
space:
mode:
Diffstat (limited to 'repo/features/danube/make_opencon-trail.sh')
-rw-r--r--repo/features/danube/make_opencon-trail.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/repo/features/danube/make_opencon-trail.sh b/repo/features/danube/make_opencon-trail.sh
new file mode 100644
index 00000000..b68fa3c8
--- /dev/null
+++ b/repo/features/danube/make_opencon-trail.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 HUAWEI TECHNOLOGIES CO.,LTD and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -ex
+
+TIMEOUT=10
+
+PACKAGE_URL=http://205.177.226.237:9999
+
+for i in open-contrail.tar.gz; do
+ curl --connect-timeout $TIMEOUT -o /$i $PACKAGE_URL/$i
+done
+
+